Help us shape the future of Go! Take the 2026 Go Developer Survey

endpoint

package
v0.47.0 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Nov 22, 2022 License: MIT Imports: 5 Imported by: 0

Documentation

Index

Constants

This section is empty.

Variables

This section is empty.

Functions

This section is empty.

Types

type EndpointRequestBuilder

type EndpointRequestBuilder struct {
	// contains filtered or unexported fields
}

EndpointRequestBuilder casts the previous resource to endpoint.

func NewEndpointRequestBuilder

NewEndpointRequestBuilder instantiates a new EndpointRequestBuilder and sets the default values.

func NewEndpointRequestBuilderInternal

func NewEndpointRequestBuilderInternal(pathParameters map[string]string, requestAdapter i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.RequestAdapter) *EndpointRequestBuilder

NewEndpointRequestBuilderInternal instantiates a new EndpointRequestBuilder and sets the default values.

func (*EndpointRequestBuilder) Count

Count provides operations to count the resources in the collection.

func (*EndpointRequestBuilder) CreateGetRequestInformation

CreateGetRequestInformation get the items of type microsoft.graph.endpoint in the microsoft.graph.directoryObject collection

func (*EndpointRequestBuilder) Get

Get get the items of type microsoft.graph.endpoint in the microsoft.graph.directoryObject collection

type EndpointRequestBuilderGetQueryParameters

type EndpointRequestBuilderGetQueryParameters struct {
	// Include count of items
	Count *bool `uriparametername:"%24count"`
	// Expand related entities
	Expand []string `uriparametername:"%24expand"`
	// Filter items by property values
	Filter *string `uriparametername:"%24filter"`
	// Order items by property values
	Orderby []string `uriparametername:"%24orderby"`
	// Search items by search phrases
	Search *string `uriparametername:"%24search"`
	// Select properties to be returned
	Select []string `uriparametername:"%24select"`
	// Skip the first n items
	Skip *int32 `uriparametername:"%24skip"`
	// Show only the first n items
	Top *int32 `uriparametername:"%24top"`
}

EndpointRequestBuilderGetQueryParameters get the items of type microsoft.graph.endpoint in the microsoft.graph.directoryObject collection

type EndpointRequestBuilderGetRequestConfiguration

type EndpointRequestBuilderGetRequestConfiguration struct {
	// Request headers
	Headers map[string]string
	// Request options
	Options []i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.RequestOption
	// Request query parameters
	QueryParameters *EndpointRequestBuilderGetQueryParameters
}

EndpointRequestBuilderGetRequestConfiguration configuration for the request such as headers, query parameters, and middleware options.

Directories

Path Synopsis

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL